#ifndef WATCHCONNECTION_INCLUDE
#define WATCHCONNECTION_INCLUDE

#include <ras.h>

class CWatchConnection
{
public:
	CWatchConnection();
	~CWatchConnection();

	bool Refresh();
	bool IsConnected();

private:
	DWORD cConn;
	LPHRASCONN lphRasConn;
	LPRASCONN lpRasConn;
	RASCONNSTATUS RasStatus;

	bool TestIP(char *ip);
};

#endif
